/*  xm_lcd.h
 *	Fichero de cabecera para la interfaz del lcd rs485.
 *	Jose Emilio Ledo  Equilab, S.A.
 *
 */


#include <stdint.h>
#include <string.h>
#include <stdio.h>
#include "delay.h"
#include "globales.h"

#define SCREENS     5
#define ANTIREBOTE  50
typedef enum LCD_SCREEN
{
	proceso,
	pwmFreq,
	pwmDuty,
	sampleDelay,
	samples,
	volume
	
	}LCD_SCREEN;
	
LCD_SCREEN Screen;	
	



uint8_t lcd_buffer_H[16];//char = U8
uint8_t lcd_buffer_L[16];

bcd digitos;

extern int16_t adc_ntc;
//Convierte entero de 16 bits en caracteres ascii
void int_to_bcd(int16_t);
//Convierte byte de 8 bits en caracteres ascii
void char_to_bcd(uint8_t );
void lcd_menu(void);
void mainMenu(void);
void freqMenu(void);
void dutyMenu(void);
void sampleDelayMenu(void);
void samplesMenu(void);
void volumeMenu(void);

